Package org.kapott.hbci.sepa.jaxb.pain_002_001_14

# Class RemittanceInformation22

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_14.RemittanceInformation22

public class RemittanceInformation22 extends Object

Java class for RemittanceInformation22 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RemittanceInformation22">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Ustrd" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}Max140Text" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Strd" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}StructuredRemittanceInformation18" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<StructuredRemittanceInformation18>`
`strd`
`protected List<String>`
`ustrd`

## Constructor Summary

Constructors
Constructor
Description
`RemittanceInformation22()`

## Method Summary

Modifier and Type
Method
Description
`List<StructuredRemittanceInformation18>`
`getStrd()`
Gets the value of the strd property.
`List<String>`
`getUstrd()`
Gets the value of the ustrd property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ustrd

protected List<String> ustrd

### strd

protected List<StructuredRemittanceInformation18> strd

## Constructor Details

### RemittanceInformation22

public RemittanceInformation22()

## Method Details

### getUstrd

public List<String> getUstrd()
Gets the value of the ustrd property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ustrd property.

For example, to add a new item, do as follows:

        getUstrd().add(newItem);

Objects of the following type(s) are allowed in the list `String`

### getStrd

public List<StructuredRemittanceInformation18> getStrd()
Gets the value of the strd property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the strd property.

For example, to add a new item, do as follows:

        getStrd().add(newItem);

Objects of the following type(s) are allowed in the list `StructuredRemittanceInformation18`